<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.logging.console-handler" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="autoflush,enabled,encoding,filter,filter-spec,formatter,level,named-formatter,target"/>
        <elem name="addr-params" value="profile,subsystem,console-handler"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.logging.handler.$console-handler"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.logging.filter.$filter-spec" optional="true"/>
        <capability name="$profile.org.wildfly.logging.formatter.$named-formatter" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.logging"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="filter" nillable="true" stability="default"/>
        <param name="formatter" nillable="true" stability="default"/>
        <param name="autoflush" nillable="true" stability="default"/>
        <param name="filter-spec" nillable="true" stability="default"/>
        <param name="level" nillable="true" stability="default"/>
        <param name="console-handler" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="encoding" nillable="true" stability="default"/>
        <param name="named-formatter" nillable="true" stability="default"/>
        <param name="enabled" nillable="true" stability="default"/>
        <param name="target" nillable="true" stability="default"/>
    </params>
</feature-spec>